<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:xalan="http://xml.apache.org/xalan"
		xmlns:in="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.2/mm"
		xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm"
		xmlns:mutil="xalan://com.ibm.wbimonitor.xml.migration.util.MigrationUtils"
  		extension-element-prefixes="mutil">

	<!-- eventModel -->
	<xsl:template match="in:monitor/eventModel">
		<xsl:element name="eventModel">
			<xsl:copy-of select="@*"/>
			<xsl:if test="description">
				<xsl:element name="description">
					<xsl:value-of select="description"/>
				</xsl:element>
			</xsl:if>
			<xsl:for-each select="import">
				<xsl:element name="import">
					<xsl:copy-of select="@*"/>
	      		</xsl:element>
	   		 </xsl:for-each>
	   		 <!-- add cbe namespace anyway -->
	   		 <xsl:element name="import">
	   		 	<xsl:attribute name="namespace">http://www.ibm.com/AC/commonbaseevent1_0_1</xsl:attribute>
	   		 </xsl:element>
	   	</xsl:element>
	</xsl:template>
	
</xsl:stylesheet>